extends ../_docs-template

block vars
  - var activeLink = 'svelte';
  - var title = 'App Svelte Component | Framework7 Svelte Documentation';

block docs-index

block content

  .docs-nav
    include ../_docs-menu-svelte
  .docs-content
    .motion-docs-page-title
      h1 App Svelte Component
      script(src="/js/motion/app.js")
      f7-motion-app(motion)

    p App Svelte component is the main Framework7 app component where all the <a href="../docs/app.html">Framework7 core initialization</a> happens and where you pass all main Framework7 parameters.
    h2 App Components
    p There are following components included:
    ul
      li `App`

    h2 App Properties
    p `App` component receives all <a href="/docs/app.html#app-parameters" target="_blank">App parameters</a> as component props.

    h2 Examples
    :code(lang="svelte")
      <App {...f7params}>
        ...
      </App>
      <script>
        import { App } from 'framework7-svelte';
        import AboutPage from './about.svelte';
        import ServicesPage from './services.svelte';

        const f7params = {
          name: 'My App',
          // routes
          routes: [
            {
              path: '/about/',
              component: AboutPage,
            },
            {
              path: '/services/',
              component: ServicesPage,
            },
          ],
          // ... other params
        }
      </script>
